<div class="page">
	<h1>Publier une actualité</h1>

	<?php if (isset ($this->error)) { ?>
		<div class="alert alert-error"><?php echo $this->error; ?></div>
	<?php } ?>

	<?php if (isset ($this->ok)) { ?>
		<div class="alert alert-ok"><?php echo $this->ok; ?></div>
	<?php } ?>

	<form method="post" action="">
		<div class="form-group">
			<label for="title">Titre</label>
			<input type="text" name="title" id="title" />
		</div>

		<div class="form-group">
			<label for="contenu">Contenu</label>
			<textarea name="content" id="contenu"></textarea>
		</div>

		<script>
			var simplemde = new SimpleMDE({
				element: document.getElementById("contenu"),
				autoDownloadFontAwesome: false,
				autosave: {
					enabled: true,
					delay: 5000,
					uniqueId: 'admin_news_index',
				},
				blockStyles: {
					italic: '_',
				},
				spellChecker: false,
				promptURLs: true,
				tabSize: 4,
			});
		</script>

		<div class="form-group actions">
			<button type="submit">
				Publier
			</button>
			<a href="<?php echo Url::display (array ('c' => 'admin')); ?>">Retour au panel</a>
		</div>
	</form>

	<?php $items = $this->articlesPaginator->items(); ?>
	<?php if (!empty ($items)) { ?>
		<?php $this->articlesPaginator->render ('pagination.phtml', 'page'); ?>
		<?php foreach ($items as $article) { ?>
			<section class="news">
				<h1><?php echo $article->title (); ?></h1>

				<?php echo $article->mdContent (); ?>

				<div class="news-date">
					Le <?php echo date ('d/m/Y à H:i', $article->date ()); ?>
				</div>

				<div class="actions">
					<a href="<?php echo Url::display (array ('c' => 'admin_news', 'a' => 'update', 'params' => array ('id' => $article->id ()))); ?>">
						<i class="fa fa-pencil"></i>
						Modifier
					</a>

					<a data-confirm="Êtes-vous certain·e de vouloir supprimer cette actualité ?" href="<?php echo Url::display (array ('c' => 'admin_news', 'a' => 'delete', 'params' => array ('id' => $article->id ()))); ?>">
						<i class="fa fa-times"></i>
						Supprimer
					</a>
				</div>
			</section>
		<?php } ?>
		<?php $this->articlesPaginator->render ('pagination.phtml', 'page'); ?>
	<?php } else { ?>
		<p>
			Il n'y a aucun article à afficher ici.
		</p>
	<?php } ?>
</div>
